# Class SepaAccountPayload

#### Hierarchy

- unknown
  - SepaAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4376
- Defined in src/protobuf/pb_pb.d.ts:4397

#####
Index

### Constructors

constructor

### Methods

getBic
getEmail
getHolderName
getIban
serializeBinary
setBic
setEmail
setHolderName
setIban
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SepaAccountPayload(): SepaAccountPayload

- #### Returns SepaAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getBic

- getBic(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4383

### getEmail

- getEmail(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4386

### getHolderName

- getHolderName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4377

### getIban

- getIban(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4380

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4389

### setBic

- setBic(value: string): SepaAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SepaAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4384

### setEmail

- setEmail(value: string): SepaAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SepaAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4387

### setHolderName

- setHolderName(value: string): SepaAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SepaAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4378

### setIban

- setIban(value: string): SepaAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SepaAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4381

### toObject

- toObject(includeInstance?: boolean): SepaAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SepaAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4390

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SepaAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SepaAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4393

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SepaAccountPayload, reader: BinaryReader): SepaAccountPayload

- #### Parameters

  - ##### message: SepaAccountPayload

  - ##### reader: BinaryReader

  #### Returns SepaAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4394

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SepaAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SepaAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4392

### `Static` toObject

- toObject(includeInstance: boolean, msg: SepaAccountPayload): SepaAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SepaAccountPayload

  #### Returns SepaAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4391

Generated using TypeDoc